path: /build/build/xmlrpc-dev-ruby-0.3.3+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -ruby_targets_ruby30 -ruby_targets_ruby31 -test ruby_targets_ruby27" emerge dev-ruby/xmlrpc -pv -t
  - |
    USE="-doc -ruby_targets_ruby30 -ruby_targets_ruby31 -test ruby_targets_ruby27" emerge -j ${JOBS} --nodeps dev-ruby/xmlrpc
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/xmlrpc && luet-portage --dir
    /pkgdir/xmlrpc dev-ruby/xmlrpc
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree:f4d3a92fcc9eb2b0ce694da1ed31f9ec3b11352d3b6c02e13eed609c778c741d
  package:
    name: xmlrpc
    version: 0.3.3+1
    category: dev-ruby
    use_flags:
    - -doc
    - -ruby_targets_ruby30
    - -ruby_targets_ruby31
    - -test
    - ruby_targets_ruby27
    requires:
    - name: rubygems
      version: '>=0'
      category: virtual
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: The Ruby standard library package 'xmlrpc'
    uri:
    - https://github.com/ruby/xmlrpc
    license: '|| ( Ruby-BSD BSD-2 )'
    buildtimestamp: 2024-10-07 07:39:26.489964853 +0000 UTC m=+75.683425503
    labels:
      BDEPEND: test? ( ruby_targets_ruby32? ( dev-ruby/webrick[ruby_targets_ruby32(-)]
        ) ruby_targets_ruby31? ( dev-ruby/webrick[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
        ( dev-ruby/webrick[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( dev-ruby/webrick[ruby_targets_ruby27(-)]
        ) ) ruby_targets_ruby32? ( test? ( dev-ruby/test-unit[ruby_targets_ruby32(-)]
        ) ) ruby_targets_ruby31? ( test? ( dev-ruby/test-unit[ruby_targets_ruby31(-)]
        ) ) ruby_targets_ruby30? ( test? ( dev-ruby/test-unit[ruby_targets_ruby30(-)]
        ) ) ruby_targets_ruby27? ( test? ( dev-ruby/test-unit[ruby_targets_ruby27(-)]
        ) ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) )
        ruby_targets_ruby31? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
        ( doc? ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? (
        doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( test?
        ( dev-ruby/rake[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31? ( test? (
        dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)]
        ) ) ruby_targets_ruby27? ( test? ( dev-ruby/rake[ruby_targets_ruby27(-)] )
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) test?
        ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) )
      DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      IUSE: test ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
        doc test test
      RDEPEND: ruby_targets_ruby32? ( dev-ruby/webrick[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( dev-ruby/webrick[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( dev-ruby/webrick[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( dev-ruby/webrick[ruby_targets_ruby27(-)] ) ruby_targets_ruby32?
        ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1 ) ruby_targets_ruby30?
        ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7 ) ruby_targets_ruby32?
        ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)]
        ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27?
        ( virtual/rubygems[ruby_targets_ruby27(-)] )
      emerge.packages: dev-ruby/xmlrpc
      kit: ruby-kit
      original.package.name: dev-ruby/xmlrpc
      original.package.slot: "0"
      original.package.version: 0.3.3
    treedir: /build/packages
  package_dir: /pkgdir/xmlrpc
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 02cfee3ea74e63290d60b603cda13ce42f1c7cb4592a21d80fba6240fa65bfd3
compressiontype: zstd
files:
- usr/lib64/ruby/gems/2.7.0/gems/xmlrpc-0.3.3/bin/console
- usr/lib64/ruby/gems/2.7.0/gems/xmlrpc-0.3.3/bin/setup
- usr/lib64/ruby/gems/2.7.0/gems/xmlrpc-0.3.3/lib/xmlrpc/base64.rb
- usr/lib64/ruby/gems/2.7.0/gems/xmlrpc-0.3.3/lib/xmlrpc/client.rb
- usr/lib64/ruby/gems/2.7.0/gems/xmlrpc-0.3.3/lib/xmlrpc/config.rb
- usr/lib64/ruby/gems/2.7.0/gems/xmlrpc-0.3.3/lib/xmlrpc/create.rb
- usr/lib64/ruby/gems/2.7.0/gems/xmlrpc-0.3.3/lib/xmlrpc/datetime.rb
- usr/lib64/ruby/gems/2.7.0/gems/xmlrpc-0.3.3/lib/xmlrpc/marshal.rb
- usr/lib64/ruby/gems/2.7.0/gems/xmlrpc-0.3.3/lib/xmlrpc/parser.rb
- usr/lib64/ruby/gems/2.7.0/gems/xmlrpc-0.3.3/lib/xmlrpc/server.rb
- usr/lib64/ruby/gems/2.7.0/gems/xmlrpc-0.3.3/lib/xmlrpc/utils.rb
- usr/lib64/ruby/gems/2.7.0/gems/xmlrpc-0.3.3/lib/xmlrpc.rb
- usr/lib64/ruby/gems/2.7.0/specifications/xmlrpc-0.3.3.gemspec
- usr/share/doc/xmlrpc-0.3.3/README.md.bz2
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/BDEPEND
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/BUILD_TIME
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/CATEGORY
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/CBUILD
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/CFLAGS
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/CHOST
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/CONTENTS
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/COUNTER
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/CTARGET
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/CXX
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/CXXFLAGS
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/DEFINED_PHASES
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/DEPEND
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/DESCRIPTION
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/EAPI
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/FEATURES
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/HOMEPAGE
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/INHERITED
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/IUSE
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/IUSE_EFFECTIVE
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/KEYWORDS
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/LDFLAGS
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/LICENSE
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/PF
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/RDEPEND
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/RESTRICT
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/SIZE
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/SLOT
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/USE
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/environment.bz2
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/repository
- var/db/pkg/dev-ruby/xmlrpc-0.3.3/xmlrpc-0.3.3.ebuild
package_cacheimage: ""
runtime:
  name: xmlrpc
  version: 0.3.3+1
  category: dev-ruby
  use_flags:
  - -doc
  - -ruby_targets_ruby30
  - -ruby_targets_ruby31
  - -test
  - ruby_targets_ruby27
  requires:
  - name: webrick
    version: '>=0'
    category: dev-ruby
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: The Ruby standard library package 'xmlrpc'
  uri:
  - https://github.com/ruby/xmlrpc
  license: '|| ( Ruby-BSD BSD-2 )'
  labels:
    BDEPEND: test? ( ruby_targets_ruby32? ( dev-ruby/webrick[ruby_targets_ruby32(-)]
      ) ruby_targets_ruby31? ( dev-ruby/webrick[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( dev-ruby/webrick[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( dev-ruby/webrick[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( test? ( dev-ruby/test-unit[ruby_targets_ruby32(-)]
      ) ) ruby_targets_ruby31? ( test? ( dev-ruby/test-unit[ruby_targets_ruby31(-)]
      ) ) ruby_targets_ruby30? ( test? ( dev-ruby/test-unit[ruby_targets_ruby30(-)]
      ) ) ruby_targets_ruby27? ( test? ( dev-ruby/test-unit[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31?
      ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( doc?
      ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( test? ( dev-ruby/rake[ruby_targets_ruby32(-)] ) )
      ruby_targets_ruby31? ( test? ( dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
      ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( test?
      ( dev-ruby/rake[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)]
      ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) test? ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] )
      ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) )
    DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    IUSE: test ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
      doc test test
    RDEPEND: ruby_targets_ruby32? ( dev-ruby/webrick[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( dev-ruby/webrick[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( dev-ruby/webrick[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( dev-ruby/webrick[ruby_targets_ruby27(-)] ) ruby_targets_ruby32?
      ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1 ) ruby_targets_ruby30?
      ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7 ) ruby_targets_ruby32?
      ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)]
      ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27?
      ( virtual/rubygems[ruby_targets_ruby27(-)] )
    emerge.packages: dev-ruby/xmlrpc
    kit: ruby-kit
    original.package.name: dev-ruby/xmlrpc
    original.package.slot: "0"
    original.package.version: 0.3.3
